Hermos API

List Commission Plans

Commission plan versions, newest first; filter by program, status, scope or product.

GET/commission_plans

Commission plan versions, newest first; filter by program, status, scope or product.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Opaque signed cursor. Return it unchanged; valid for 24 hours.

Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
Default50
program?string

Opaque affiliate program ID.

Match^prg_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])
status?string

Value in

  • "active"
  • "retired"
scope?string

Value in

  • "program"
  • "product"
  • "affiliate"
  • "special_link"
product?string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/commission_plans"
{  "data": [    {      "id": "string",      "livemode": true,      "program_id": "string",      "scope": "program",      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",      "affiliate_id": "string",      "special_link_id": null,      "version": 1,      "status": "active",      "rate_kind": "percent",      "initial_rate": "string",      "rebill_rate": "string",      "flat_amounts": {        "property1": {          "initial_amount": "string",          "rebill_amount": "string"        },        "property2": {          "initial_amount": "string",          "rebill_amount": "string"        }      },      "uncovered_currencies": [        "string"      ],      "duration_kind": "once",      "duration_count": 1,      "eligible_line_kinds": [        "base"      ],      "tiers": {        "count_scope": "program",        "bands": [          {            "min_sales": 1,            "rate": "string"          }        ],        "marginal": true      },      "reward_kind": "cash",      "effective_from": "2019-08-24T14:15:22Z",      "retired_at": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "next_cursor": "string",    "has_more": true,    "as_of": "2019-08-24T14:15:22Z"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "source": "primary"}